<?php
class ModelPaymentCieloIntegradoFutura extends Model {
	public function getMethod($address, $total) {
		$this->load->language('payment/cielointegradofutura');

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "zone_to_geo_zone WHERE geo_zone_id = '" . (int)$this->config->get('cielointegradofutura_geo_zone_id') . "' AND country_id = '" . (int)$address['country_id'] . "' AND (zone_id = '" . (int)$address['zone_id'] . "' OR zone_id = '0')");

		if ($this->config->get('cielointegradofutura_total') > 0 && $this->config->get('cielointegradofutura_total') > $total) {
			$status = false;
		} elseif (!$this->config->get('cielointegradofutura_geo_zone_id')) {
			$status = true;
		} elseif ($query->num_rows) {
			$status = true;
		} else {
			$status = false;
		}

		$method_data = array();

		if ($status) {
			$method_data = array(
				'code'       => 'cielointegradofutura',
				'title'      => $this->config->get('cielointegradofutura_titulo'),
				'terms'      => '',
				'sort_order' => $this->config->get('cielointegradofutura_sort_order')
			);
		}
        
		if ($this->config->get('cielointegradofutura_ambiente_teste')){
		    if ($this->customer->getId() == $this->config->get('cielointegradofutura_client_teste')){
		        return $method_data;
		    }
		}else{
		    return $method_data;
		}
		
		
	}
}